<?php
/**
 * ProductFlagEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\PimClient\Dto;
use \Ensi\PimClient\ObjectSerializer;

/**
 * ProductFlagEnum Class Doc Comment
 *
 * @category Class
 * @description Доступные признаки товаров: * 1 - на модерации * 2 - производство контента * 3 - изменения не отправлены на модерацию * 4 - изменения не были согласованы * 5 - не заполнены обязательные атрибуты * 6 - не заполнены мастер-данные * 7 - в продаже * 8 - не в продаже
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductFlagEnum
{
    /**
     * Possible values of this enum
     */
    const MODERATION = 1;
    const CONTENT = 2;
    const NOT_SENT_FOR_MODERATION = 3;
    const NOT_AGREED = 4;
    const REQUIRED_ATTRIBUTES = 5;
    const REQUIRED_MASTER_DATA = 6;
    const IN_SALE = 7;
    const NOT_SALE = 8;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::MODERATION,
            self::CONTENT,
            self::NOT_SENT_FOR_MODERATION,
            self::NOT_AGREED,
            self::REQUIRED_ATTRIBUTES,
            self::REQUIRED_MASTER_DATA,
            self::IN_SALE,
            self::NOT_SALE,
        ];
    }
}


